using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;

namespace CallCenterApi.DAL
{
    /// <summary>
    /// 数据访问类:T_SMS_Receive
    /// </summary>
    public partial class T_SMS_Receive
    {
        public T_SMS_Receive()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_SMS_Receive with(nolock)");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_SMS_Receive model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_SMS_Receive(");
            strSql.Append("F_Telephone,F_Content,F_Time,F_ApiKey,F_AccessNo,F_State,F_CreateTime)");
            strSql.Append(" values (");
            strSql.Append("@F_Telephone,@F_Content,@F_Time,@F_ApiKey,@F_AccessNo,@F_State,@F_CreateTime)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Telephone", SqlDbType.VarChar,20),
                    new SqlParameter("@F_Content", SqlDbType.NVarChar,1000),
                    new SqlParameter("@F_Time", SqlDbType.DateTime),
                    new SqlParameter("@F_ApiKey", SqlDbType.VarChar,50),
                    new SqlParameter("@F_AccessNo", SqlDbType.VarChar,20),
                    new SqlParameter("@F_State", SqlDbType.Int,4),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime)};
            parameters[0].Value = model.F_Telephone;
            parameters[1].Value = model.F_Content;
            parameters[2].Value = model.F_Time;
            parameters[3].Value = model.F_ApiKey;
            parameters[4].Value = model.F_AccessNo;
            parameters[5].Value = model.F_State;
            parameters[6].Value = model.F_CreateTime;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_SMS_Receive model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_SMS_Receive set ");
            strSql.Append("F_Telephone=@F_Telephone,");
            strSql.Append("F_Content=@F_Content,");
            strSql.Append("F_Time=@F_Time,");
            strSql.Append("F_ApiKey=@F_ApiKey,");
            strSql.Append("F_AccessNo=@F_AccessNo,");
            strSql.Append("F_State=@F_State,");
            strSql.Append("F_CreateTime=@F_CreateTime");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Telephone", SqlDbType.VarChar,20),
                    new SqlParameter("@F_Content", SqlDbType.NVarChar,1000),
                    new SqlParameter("@F_Time", SqlDbType.DateTime),
                    new SqlParameter("@F_ApiKey", SqlDbType.VarChar,50),
                    new SqlParameter("@F_AccessNo", SqlDbType.VarChar,20),
                    new SqlParameter("@F_State", SqlDbType.Int,4),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                    new SqlParameter("@F_Id", SqlDbType.Int,4)};
            parameters[0].Value = model.F_Telephone;
            parameters[1].Value = model.F_Content;
            parameters[2].Value = model.F_Time;
            parameters[3].Value = model.F_ApiKey;
            parameters[4].Value = model.F_AccessNo;
            parameters[5].Value = model.F_State;
            parameters[6].Value = model.F_CreateTime;
            parameters[7].Value = model.F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_SMS_Receive ");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_SMS_Receive ");
            strSql.Append(" where F_Id in (" + F_Idlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_SMS_Receive GetModel(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 F_Id,F_Telephone,F_Content,F_Time,F_ApiKey,F_AccessNo,F_State,F_CreateTime from T_SMS_Receive with(nolock)");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            CallCenterApi.Model.T_SMS_Receive model = new CallCenterApi.Model.T_SMS_Receive();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_SMS_Receive DataRowToModel(DataRow row)
        {
            CallCenterApi.Model.T_SMS_Receive model = new CallCenterApi.Model.T_SMS_Receive();
            if (row != null)
            {
                if (row["F_Id"] != null && row["F_Id"].ToString() != "")
                {
                    model.F_Id = int.Parse(row["F_Id"].ToString());
                }
                if (row["F_Telephone"] != null)
                {
                    model.F_Telephone = row["F_Telephone"].ToString();
                }
                if (row["F_Content"] != null)
                {
                    model.F_Content = row["F_Content"].ToString();
                }
                if (row["F_Time"] != null && row["F_Time"].ToString() != "")
                {
                    model.F_Time = DateTime.Parse(row["F_Time"].ToString());
                }
                if (row["F_ApiKey"] != null)
                {
                    model.F_ApiKey = row["F_ApiKey"].ToString();
                }
                if (row["F_AccessNo"] != null)
                {
                    model.F_AccessNo = row["F_AccessNo"].ToString();
                }
                if (row["F_State"] != null && row["F_State"].ToString() != "")
                {
                    model.F_State = int.Parse(row["F_State"].ToString());
                }
                if (row["F_CreateTime"] != null && row["F_CreateTime"].ToString() != "")
                {
                    model.F_CreateTime = DateTime.Parse(row["F_CreateTime"].ToString());
                }
            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select F_Id,F_Telephone,F_Content,F_Time,F_ApiKey,F_AccessNo,F_State,F_CreateTime ");
            strSql.Append(" FROM T_SMS_Receive with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" F_Id,F_Telephone,F_Content,F_Time,F_ApiKey,F_AccessNo,F_State,F_CreateTime ");
            strSql.Append(" FROM T_SMS_Receive with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_SMS_Receive with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }

        #endregion  BasicMethod
    }
}

